data <- read.table("arithmet.dat",skip=6,head=T)
attach(data)

freq <- c(WM,WF,BM,BF)
race <- gl(2,32,64)
sex <- gl(2,16,64)
r1 <- rep(R1,4)
r2 <- rep(R2,4)
r3 <- rep(R3,4)
r4 <- rep(R4,4)
score <- as.factor(r1+r2+r3+r4)

print(zf <- glm(freq~r1*r2*r3*r4*sex*race,family=poisson))
zf$aic/2
print(summary(z0 <- glm(freq~r1+r2+r3+r4+sex*race,family=poisson)))
z0$aic/2
print(summary(z1 <- update(z0,.~.+(r1+r2+r3+r4)*(sex+race))))
z1$aic/2
print(summary(z2 <- update(z1,.~.+score)))
z2$aic/2
print(summary(z3 <- update(z2,.~.-(r1+r2+r3+r4):sex)))
z3$aic/2
print(summary(z4 <- update(z2,.~.+(r1+r2+r3+r4):score)))
z4$aic/2
print(summary(z5 <- update(z2,.~.+score:sex)))
z5$aic/2
print(summary(z6 <- update(z5,.~.+score:race)))
z6$aic/2
print(summary(z7 <- update(z6,.~.-(r1+r2+r3+r4):sex)))
z7$aic/2
print(summary(z8 <- update(z7,.~.-(r1+r2+r3+r4):race)))
z8$aic/2
print(summary(z9 <- update(z8,.~.-(r1+r2+r3+r4))))
z9$aic/2
