library(gnlm)
library(repeated)

data <- read.table("cream.dat",skip=4,head=T)
attach(data)
resp <- cbind(Favourable,Unfavourable)
treat <- as.numeric(Treatment=="Drug")

print(zf <- glm(resp~Treatment*as.factor(Clinic),family=binomial))
zf$aic/2
print(summary(z1 <- glm(resp~Treatment+as.factor(Clinic),family=binomial)))
z1$aic/2
print(z3 <- glm(resp~as.factor(Clinic),family=binomial))
z3$aic/2
print(z4 <- glm(resp~Treatment,family=binomial))
z4$aic/2

summary(zm1 <- glmm(resp~Treatment,nest=Clinic,family=binomial,points=12))
zm1$aic/2
print(zm2 <- glmm(resp~1,nest=Clinic,family=binomial,points=12))
zm2$aic/2

summary(zm3 <- glmm(resp~Treatment,nest=1:16,family=binomial,points=20))
zm3$aic/2
print(zm4 <- glmm(resp~1,nest=1:16,family=binomial,points=20))
zm4$aic/2

mu <- function(p,linear) 1/(1+exp(-linear))
gnlr(resp,"beta binomial",mu=mu,pmu=z1$coef[1:2],pshape=4,linear=~Treatment)
gnlr(resp,"beta binomial",mu=~1/(1+exp(-a)),pmu=-1.5,pshape=10)
