library(repeated)

data <- read.table("eyes.dat",skip=6,header=T)
attach(data)

sum(Freq-Freq*log(Freq)+lgamma(Freq+1))+32
sum(Freq[1:16]-Freq[1:16]*log(Freq[1:16])+lgamma(Freq[1:16]+1))+16
sum(Freq[17:32]-Freq[17:32]*log(Freq[17:32])+lgamma(Freq[17:32]+1))+16

print(z1 <- marg.hom(Freq[1:16],Left[1:16],Right[1:16]))
cbind(Freq[1:16],z1$fit,z1$res)
print(z2 <- marg.hom(Freq[17:32],Left[17:32],Right[17:32]))
cbind(Freq[17:32],z2$fit,z2$res)
print(z3 <- marg.hom(Freq,Left,Right))
cbind(Freq,z3$fit,z3$res)
tapply(z3$fit,Left,sum)
tapply(z3$fit,Right,sum)

sym1 <- as.factor(c(0,1,2,3,1,0,4,5,2,4,0,6,3,5,6,0))
sym2 <- as.factor(c(sym1,sym1))
wt <- (Left[1:16]!=Right[1:16])
print(z0 <- glm(Freq~sym2,family=poisson,weight=(Left!=Right)))
z0$aic/2+sum(Left==Right)
print(z1 <- glm(Freq[1:16]~sym1,family=poisson,weight=wt))
z1$aic/2+sum(!wt)
print(z2 <-glm(Freq[17:32]~sym1,family=poisson,weight=wt))
z2$aic/2+sum(!wt)
print(z1a <- glm(Freq[1:16]~Left[1:16]+Right[1:16]+sym1,family=poisson,
	weight=wt))
z1a$aic/2+sum(!wt)
print(z2a <-glm(Freq[17:32]~Left[17:32]+Right[17:32]+sym1,family=poisson,
	weight=wt))
z2a$aic/2+sum(!wt)
