library(repeated)

data <- read.table("obese.dat",skip=3,header=T)
attach(data)
age <- codes(gl(5,4,20))*2+4
resp <- cbind(Obese77,Obese79)[1:4,]

sum(Freq-Freq*log(Freq)+lgamma(Freq+1),na.rm=T)+length(Freq)
print(summary(z0 <- glm(Freq~Obese77*Obese79+Age,family=poisson)))
z0$aic/2
print(summary(z0a <- update(z0,.~.+Obese77*Obese79:age)))
z0a$aic/2
print(summary(z0b <- update(z0,.~.+Obese77:age)))
z0b$aic/2

x <- c(6,8,10,12,14)
freq <- matrix(Freq,ncol=4,byrow=T)
print(z <- biv.binom(freq,marg1=~x,marg2=~x,inter=~x,pmarg1=c(-2,0.08),
	pmarg2=c(-2,0.1),pinter=c(3,0)))
print(z1 <- biv.binom(freq,marg1=~x,marg2=~1,inter=~1,pmarg1=c(-2,0.08),
	pmarg2=c(-2),pinter=c(3)))

catmiss(resp,Freq)
catmiss(resp,z0b$fit)
catmiss(resp,z1$fit)
