library(repeated)

y <- matrix(  c( 2, 1, 1,13,
		 4, 1, 3, 5,
		 3, 3, 1, 4,
		15, 8, 1, 6),ncol=4,byrow=T)
first <- c(0,0,1,1)
second <- c(0,1,0,1)
self <- cbind(first,second)
other <- cbind(second,first)

# males zero
biv.betab(y,p=c(-1,2))
biv.betab(y,other,p=c(-1,2,-1))
biv.betab(y,cbind(self,other),p=c(-1,2,1,1))

# independence
biv.betab(y,p=-1,dep=F)
biv.betab(y,other,p=c(-1,-1),dep=F)
biv.betab(y,cbind(self,other),p=c(-1,1,1),dep=F)

# equivalently with glm for independence
# Poisson so AICs not comparable
yy <- as.vector(t(y))
id <- rep(c(0,1),8)+rep(c(0,0,1,1),4)
sel <- rep(c(0,1),8)*rep(c(0,1),rep(8,2))+
	rep(c(0,0,1,1),4)*rep(rep(c(0,1),rep(4,2)),2)
oth <- rep(c(0,1),8)*rep(rep(c(0,1),rep(4,2)),2)+
	rep(c(0,0,1,1),4)*rep(c(0,1),rep(8,2))
glm(yy~gl(2,8,16)*gl(2,4,16),fam=poisson)
glm(yy~id+gl(2,8,16)*gl(2,4,16),fam=poisson)
glm(yy~id+sel+gl(2,8,16)*gl(2,4,16),fam=poisson)
glm(yy~id+oth+gl(2,8,16)*gl(2,4,16),fam=poisson)
glm(yy~id+sel+oth+gl(2,8,16)*gl(2,4,16),fam=poisson)
