library(gnlm)

data <- read.table("rodent.dat",skip=11)
colnames(data) <- c("time","location","type","total","radioactive")
attach(data)
location <- as.factor(location)
type <- as.factor(type)
glm(cbind(radioactive,total-radioactive)~1,family=binomial)
glm(cbind(radioactive,total-radioactive)~time,family=binomial)
glm(cbind(radioactive,total-radioactive)~type,family=binomial)
glm(cbind(radioactive,total-radioactive)~location,family=binomial)
glm(cbind(radioactive,total-radioactive)~location+time,family=binomial)
glm(cbind(radioactive,total-radioactive)~location+time,
	family=binomial("cloglog"))
glm(cbind(radioactive,total-radioactive)~location*time,
	family=binomial("cloglog"))
glm(cbind(radioactive,total-radioactive)~location+time+type,
	family=binomial("cloglog"))
# best model:
print(z <- glm(cbind(radioactive,total-radioactive)~location+time*type,
	family=binomial("cloglog")))
glm(cbind(radioactive,total-radioactive)~location+time*type+location*type,
	family=binomial("cloglog"))
glm(cbind(radioactive,total-radioactive)~location+time*type+location*time,
	family=binomial("cloglog"))

glm(cbind(total-radioactive,radioactive)~location+time+type,
	family=binomial("cloglog"))

mu <- function(p,linear) 1-exp(-exp(linear))
gnlr(cbind(radioactive,total-radioactive),"binomial",mu=mu,
	linear=~location+time*type,pmu=z$coef)
gnlr(cbind(radioactive,total-radioactive),"beta binomial",mu=mu,
	linear=~location+time*type,pmu=z$coef,psh=1)
gnlr(cbind(radioactive,total-radioactive),"mult binomial",mu=mu,
	linear=~location+time*type,pmu=z$coef,psh=1)
gnlr(cbind(radioactive,total-radioactive),"double binomial",mu=mu,
	linear=~location+time*type,pmu=z$coef,psh=0)
